> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Exchanges List (ID Map)

> This endpoint allows you to **query all the derivatives exchanges with ID and name on CoinGecko**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of exchanges for other endpoints that contain params like `id` (derivatives exchange's ID).
</Tip>

<Note>
  ### Note

  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /derivatives/exchanges/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /derivatives/exchanges/list:
    get:
      tags:
        - Derivatives
      summary: Derivatives Exchanges List (ID Map)
      description: >-
        This endpoint allows you to **query all the derivatives exchanges with
        ID and name on CoinGecko**
      operationId: derivatives-exchanges-list
      responses:
        '200':
          description: List all derivative exchanges name and identifier
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesExchangesList'
components:
  schemas:
    DerivativesExchangesList:
      type: object
      properties:
        id:
          type: string
          description: derivatives exchange ID
        name:
          type: string
          description: derivatives exchange name
      example:
        - id: binance_futures
          name: Binance (Futures)
        - id: bybit
          name: Bybit (Futures)
        - id: deepcoin_derivatives
          name: Deepcoin (Derivatives)
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````